### Signal

# WebKit NetworkSession::download-started

since: 2.40

#### Declaration

    void
    download_started (
      WebKitNetworkSession* self,
      WebKitDownload* download,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new download request is made.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.40

#### Parameters

`download`

  Type: `WebKitDownload`

  The `WebKitDownload` associated with this event.

  The data is owned by the caller of the function.